Bug 486060 - Bluetooth adaptor dissapears after suspend or hibernate
Bluetooth adaptor dissapears after suspend or hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 21:56 EST by clifforg
Modified: 2009-12-18 02:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:57:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clifforg 2009-02-17 21:56:28 EST
Description of problem:

Bluetooth adaptor dissapears after suspend or hibernate, comes back after a reboot


Version-Release number of selected component (if applicable):

2.6.27.12-170.2.5.fc10.x86_64 

How reproducible:
Everytime

Steps to Reproduce:
1. Boot fresh
2. Bluetooth works
3. Suspend or Hiberate
4. Bluetooth missing
  
Actual results:

hciconfig returns nothing when the bluetooth adaptor is missing


Expected results:

hciconfig
hci0:	Type: USB
	BD Address: 00:03:7A:AA:D9:C2 ACL MTU: 384:8 SCO MTU: 64:8
	UP RUNNING PSCAN 
	RX bytes:1142 acl:0 sco:0 events:49 errors:0
	TX bytes:452 acl:0 sco:0 commands:48 errors:0
	Features: 0xff 0xff 0x8f 0xfe 0x9b 0xf9 0x00 0x80
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 
	Name: 'local-0'
	Class: 0x4a010c
	Service Classes: Networking, Capturing, Telephony
	Device Class: Computer, Laptop
	HCI Ver: 2.0 (0x3) HCI Rev: 0x77b LMP Ver: 2.0 (0x3) LMP Subver: 0x77b
	Manufacturer: Cambridge Silicon Radio (10)


Additional info:

This is on a Toshiba Portege R500 Laptop.
Comment 1 Bug Zapper 2009-11-18 06:08:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:57:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.